## jupyter-notebook 6.0.3

=== debian/changelog ===
jupyter-notebook (6.0.3-2) unstable; urgency=medium

  * Bump xterm.js dependency to pick up a bug fix, change the way these
    modules are loaded. Should actually fix the web terminal.

 -- Gordon Ball <gordon@chronitis.net>  Wed, 05 Feb 2020 11:56:03 +0000

jupyter-notebook (6.0.3-1) unstable; urgency=medium

  * New upstream version 6.0.3
  * d/control: update versioned python dependencies
  * d/control: update Standards-Version to 4.5.0
  * Refresh patches; drop 0001-Nodejs-binary-and-import-names.patch since
    node -> nodejs is no longer needed.
  * Re-enable the xtermjs-based web terminal, as node-xterm is available
    again (Closes: #935995, retires several related patches).
  * d/rules: Drop now-unneeded dh_auto_install override
  * Try and patch testsuite pythonpath issues
  * d/source/lintian-overrides: rename tag insane-line-length ->
    very-long-line-length

 -- Gordon Ball <gordon@chronitis.net>  Fri, 31 Jan 2020 10:32:37 +0000

jupyter-notebook (6.0.2-1) unstable; urgency=medium

  * New upstream version 6.0.2
  * d/control: update versioned dependencies on jupyter-{core,client}

 -- Gordon Ball <gordon@chronitis.net>  Wed, 01 Jan 2020 12:57:35 +0000

jupyter-notebook (6.0.0-2) unstable; urgency=medium

  * Remove postinst and postrm logic for handling merged notebook JSON config
    like /etc/jupyter/nbconfig/notebook in favour of dropping files in eg,
    /etc/jupyter/nbconfig/notebook.d/, which should be simpler and more
    robust. Accordingly, add breaks against the last version of ipywidgets
    which used the old mechanism.
  * Update build paths for node-react and version dependency after install
    location was moved.
  * Don't automatically enable the systemd user unit (Closes: #944743);
    incorrectly enabled instances for non-interactive users can be disabled
    with `systemctl --user --global disable jupyter-notebook`

 -- Gordon Ball <gordon@chronitis.net>  Mon, 16 Dec 2019 19:56:28 +0000

jupyter-notebook (6.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.1.

  [ Gordon Ball ]
  * New upstream release 6.0.0
  * Stop building python-notebook, since upstream has ceased to support python
    2.7 as of this version (Closes: #936775).
  * Add a copy of create-react-class, a new JS dependency that has been
    discontinued upstream, and is hence probably not a good candidate for
    standalone packaging.
  * Rebuild UMD artifacts from node-react using webpack, since the available
    version does not appear to be usable in a script context.
  * Use debhelper compat level 12

 -- Gordon Ball <gordon@chronitis.net>  Fri, 01 Nov 2019 20:39:16 +0000
