## jupyter-notebook 6.2.0

=== debian/changelog ===
jupyter-notebook (6.2.0-1) unstable; urgency=medium

  * New upstream version 6.2.0
  * Version dependencies on tornado, send2trash
  * Disable all tests of notebook trashing; these are too sensitive to
    different mount and container layouts to be useful.

 -- Gordon Ball <gordon@chronitis.net>  Sun, 17 Jan 2021 21:52:31 +0000

jupyter-notebook (6.1.6-2) unstable; urgency=medium

  * Use uglifyjs instead of node-uglify (Closes: #979898)

 -- Gordon Ball <gordon@chronitis.net>  Tue, 12 Jan 2021 18:52:17 +0000

jupyter-notebook (6.1.6-1) unstable; urgency=medium

  * New upstream version 6.1.6
  * Run tests using pytest instead of nose, as upstream

 -- Gordon Ball <gordon@chronitis.net>  Sat, 26 Dec 2020 20:18:26 +0000

jupyter-notebook (6.1.5-1) unstable; urgency=medium

  * New upstream version 6.1.5

 -- Gordon Ball <gordon@chronitis.net>  Sat, 07 Nov 2020 21:07:30 +0000

jupyter-notebook (6.1.4-1) unstable; urgency=medium

  [ Gordon Ball ]
  * New upstream version 6.1.4
  * Mark the symlink autopkgtest as superficial

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Gordon Ball <gordon@chronitis.net>  Thu, 24 Sep 2020 19:06:44 +0000

jupyter-notebook (6.1.3-1) unstable; urgency=medium

  * New upstream version 6.1.3
  * Ensure XDG_DATA_HOME exists for autopkgtests
  * Update lintian-overrides for python3-notebook

 -- Gordon Ball <gordon@chronitis.net>  Mon, 31 Aug 2020 15:46:05 +0000

jupyter-notebook (6.1.1-2) unstable; urgency=medium

  * Another attempt to fix autopkgtest errors related to cross-device renames

 -- Gordon Ball <gordon@chronitis.net>  Thu, 13 Aug 2020 19:57:18 +0000

jupyter-notebook (6.1.1-1) unstable; urgency=medium

  * New upstream version 6.1.1
  * Refresh patches
  * Update versioned javascript dependencies
  * Use debhelper-compat 13
  * Exclude deletion tests from autopkgtest
  * New dependency: python3-argon2
  * New build/test dependency: python3-requests-unixsocket

 -- Gordon Ball <gordon@chronitis.net>  Wed, 12 Aug 2020 18:12:45 +0000

jupyter-notebook (6.0.3-4) unstable; urgency=medium

  [ Gordon Ball ]
  * Set XDG_RUNTIME_DIR for autopkgtests to avoid (host-layout-specific)
    errors caused by trying to do cross-device renames.

  [ Debian Janitor ]
  * Set field Upstream-Name in debian/copyright.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Gordon Ball <gordon@chronitis.net>  Fri, 24 Jul 2020 19:32:18 +0000

jupyter-notebook (6.0.3-3) unstable; urgency=medium

  * Run the test suite as an autopkgtest
  * Check for broken symlinks in the notebook directory as an autopkgtest
  * Drop rebuilding of node-react artifacts from 6.0.0-1, since this is no
    longer necessary with a more recent version of node-react; update the b-d
    on node-react to >= 16.13 accordingly

 -- Gordon Ball <gordon@chronitis.net>  Fri, 17 Jul 2020 17:58:21 +0000
