=== debian/control ===
--- 
+++ 
@@ -1,30 +1,32 @@
 Source: jupyter-notebook
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Gordon Ball <gordon@chronitis.net>, Jerome Benoit <calculus@rezozer.net>
 Section: python
 Priority: optional
 Standards-Version: 4.5.0
 Homepage: https://github.com/jupyter/notebook
-Vcs-Git: https://salsa.debian.org/python-team/modules/jupyter-notebook.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/jupyter-notebook
-Build-Depends: debhelper-compat (= 12),
+Vcs-Git: https://salsa.debian.org/python-team/packages/jupyter-notebook.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/jupyter-notebook
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-setuptools,
+               python3-argon2,
                python3-nose <!nocheck>,
-               python3-nose-exclude <!nocheck>,
                python3-requests <!nocheck>,
+               python3-requests-unixsocket <!nocheck>,
                python3-ipython <!nocheck>,
                python3-jupyter-core (>= 4.6.1) <!nocheck>,
                python3-jupyter-client (>= 5.3.4) <!nocheck>,
-               python3-tornado <!nocheck>,
+               python3-tornado (>= 6.1) <!nocheck>,
                python3-nbformat (>= 4.4) <!nocheck>,
                python3-nbconvert (>= 5) <!nocheck>,
                python3-ipykernel <!nocheck>,
                python3-prometheus-client <!nocheck>,
-               python3-terminado (>= 0.8.1) <!nocheck>,
+               python3-pytest <!nocheck>,
+               python3-terminado (>= 0.8.3) <!nocheck>,
                python3-entrypoints <!nocheck>,
-               python3-send2trash <!nocheck>,
+               python3-send2trash (>= 1.5) <!nocheck>,
                python3-zmq <!nocheck>,
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
@@ -32,13 +34,13 @@
                libjs-backbone (>= 1.2),
                libjs-bootstrap (>= 3.3),
                libjs-bootstrap-tour (>= 0.9),
-               libjs-codemirror,
+               libjs-codemirror (>= 5.56),
                libjs-es6-promise (>= 1.0),
                fonts-font-awesome (>= 4.2),
                libjs-jed (>= 1.1.1),
-               libjs-jquery,
+               libjs-jquery (>= 3.5),
                libjs-jquery-ui (>= 1.12),
-               libjs-marked (>= 0.3),
+               libjs-marked (>= 0.7),
                libjs-mathjax (>= 2.5),
                libjs-moment (>= 2.8.4),
                libjs-requirejs (>= 2.1),
@@ -51,12 +53,12 @@
                node-less (>= 1.5),
                node-source-map,
                node-requirejs (>= 2.3),
-               node-react (>= 16.2.0-4),
-               node-uglify,
+               node-react (>= 16.13),
                node-po2json,
                node-fbjs,
                node-loose-envify,
                node-object-assign,
+               uglifyjs,
                webpack,
                pandoc
 Testsuite: autopkgtest-pkg-python
@@ -66,17 +68,17 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends},
-         python3-terminado (>= 0.3.3),
+         python3-terminado (>= 0.8.3),
          libjs-backbone (>= 1.2),
          libjs-bootstrap (>= 3.3),
          libjs-bootstrap-tour (>= 0.9),
-         libjs-codemirror,
+         libjs-codemirror (>= 5.56),
          libjs-es6-promise (>= 1.0),
          fonts-font-awesome (>= 4.2),
          libjs-jed (>= 1.1.1),
-         libjs-jquery,
+         libjs-jquery (>= 3.5),
          libjs-jquery-ui (>= 1.12),
-         libjs-marked (>= 0.3),
+         libjs-marked (>= 0.7),
          libjs-mathjax (>= 2.5),
          libjs-moment (>= 2.8.4),
          libjs-requirejs (>= 2.1),
