=== debian/rules ===
--- 
+++ 
@@ -2,14 +2,14 @@
 
 JSBASE:=/usr/share/javascript
 COMP:=notebook/static/components
-JSUSING:=underscore backbone jed jquery jquery-ui bootstrap bootstrap-tour moment codemirror jquery-typeahead xterm requirejs requirejs-text
-BUILTUSING:=$(foreach jspkg, $(JSUSING), $(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W libjs-$(jspkg)))
+JSUSING:=libjs-underscore libjs-backbone libjs-jed libjs-jquery libjs-jquery-ui libjs-bootstrap libjs-bootstrap-tour libjs-moment libjs-codemirror libjs-jquery-typeahead libjs-xterm libjs-requirejs libjs-requirejs-text node-react node-fbjs node-object-assign node-loose-envify
+BUILTUSING:=$(foreach jspkg, $(JSUSING), $(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W $(jspkg)))
 
 export PYBUILD_AFTER_INSTALL=rm -rf '{destdir}/{install_dir}/notebook/static/components' ; cp -r notebook/static/components '{destdir}/{install_dir}/notebook/static/' ; rm -rf '{destdir}/{install_dir}/notebook/tests'
 export LC_ALL=C.UTF-8
-export HOME=$(CURDIR)/debian/tmp-home
-export XDG_RUNTIME_DIR=$(HOME)/runtime
-export PYBUILD_TEST_ARGS=--exclude-dir notebook/tests/selenium
+# selenium tests require extra dependencies
+# test_notebookapp_integration tries to invoke jupyter-notebook which isn't in the PATH when this runs
+export PYBUILD_TEST_ARGS=--ignore=notebook/tests/selenium -k 'not notebookapp_integration'
 
 
 %:
@@ -112,10 +112,10 @@
 
     #react
 	mkdir -p $(COMP)/react
-	# as of 16.2.0-3, the react artifacts still require external libraries, and don't work in the web context
-	# this _should_ resolve those dependencies at build time
-	webpack --config=debian/react-webpack.config.js --output-library=React --entry=/usr/share/nodejs/react/umd/react.production.min.js --output=$(COMP)/react/react.production.min.js
-	webpack --config=debian/react-webpack.config.js --output-library=ReactDOM --entry=/usr/share/nodejs/react-dom/umd/react-dom.production.min.js --output=$(COMP)/react/react-dom.production.min.js
+	# copy these files, since there isn't a libjs-react, which means we'd pull in the dependencies
+	# of a full nodejs environment
+	cp /usr/share/nodejs/react/umd/react.production.min.js $(COMP)/react/react.production.min.js
+	cp /usr/share/nodejs/react-dom/umd/react-dom.production.min.js $(COMP)/react/react-dom.production.min.js
 
 	#create-react-class
 	mkdir -p $(COMP)/create-react-class
@@ -140,12 +140,6 @@
 	echo "js:Built-Using=$(BUILTUSING)" >> debian/python3-notebook.substvars
 	dh_gencontrol
 
-override_dh_auto_test:
-	mkdir -p $(XDG_RUNTIME_DIR)
-	# send2trash deletion tests fail if the temporary notebook files
-	# are on a different block device to the implicit trash directory in HOME
-	TMPDIR=$(XDG_RUNTIME_DIR) dh_auto_test
-
 override_dh_installchangelogs:
 	dh_installchangelogs -k docs/source/changelog.rst
