=== debian/tests/control ===
Tests: pytest
Depends: @, python3-pytest, python3-nose, python3-requests, python3-requests-unixsocket
Restrictions: allow-stderr

Test-Command: find /usr/lib/python3/dist-packages/notebook -xtype l >&2
Depends: @
Restrictions: superficial
