## jupyter-notebook 6.4.8

=== debian/changelog ===
jupyter-notebook (6.4.8-1) unstable; urgency=medium

  * New upstream version 6.4.8
  * d/control: bump send2trash version, add nest_asyncio

 -- Gordon Ball <gordon@chronitis.net>  Fri, 28 Jan 2022 11:42:02 +0000

jupyter-notebook (6.4.5-4) unstable; urgency=medium

  * Patch javascript usage of marked for marked 4.x
  * Temporarily disable jquery-ui related functionality until a solution to
    #1003680 is found. This makes the help pager non-resizeable, but avoids a
    blank page when trying to open a notebook.
    (Closes: #1003613, #1003722, #1003881)

 -- Gordon Ball <gordon@chronitis.net>  Mon, 17 Jan 2022 16:35:10 +0000

jupyter-notebook (6.4.5-3) unstable; urgency=medium

  * Fix FTBFS caused by files moves in node-po2json 0.4.5-2
  * Add picocolors to nodejs/extcopies, new dependency for postcss webpack build
  * Adjust paths for marked 4.x (Closes: #1000884)

 -- Gordon Ball <gordon@chronitis.net>  Mon, 10 Jan 2022 16:14:45 +0000

jupyter-notebook (6.4.5-2) unstable; urgency=medium

  * Drop test dependency on python3-nose
  * Patch test failures with jupyter-core 4.9.1 (Closes: #998525)

 -- Gordon Ball <gordon@chronitis.net>  Sat, 06 Nov 2021 14:18:28 +0000

jupyter-notebook (6.4.5-1) unstable; urgency=medium

  * New upstream version 6.4.5
  * Drop Built-Using field on python3-notebook, as the licenses of the
    libraries listed did not require it
  * Standards-Version: 4.6.0

 -- Gordon Ball <gordon@chronitis.net>  Fri, 22 Oct 2021 18:22:18 +0000

jupyter-notebook (6.4.4-1) unstable; urgency=medium

  * New upstream version 6.4.4 (Closes: #995593)
  * More fixes for the (fragile) javascript build process

 -- Gordon Ball <gordon@chronitis.net>  Fri, 08 Oct 2021 19:45:38 +0000

jupyter-notebook (6.4.3-1) unstable; urgency=medium

  * d/watch: new github tarball URL
  * d/watch: accept leading v on tags, added from 6.4.2
  * New upstream version 6.4.3
  * d/rules: update custom changelog location
  * d/jupyter-notebook.install: include icon and desktop file
  * Drop vendored copy of google-caja, no longer used
  * Vendor multiple JS libraries needed for new html sanitizer, which is
    needed to fix CVE-2021-32798 / GHSA-hwvq-6gjx-j797 (Closes: #992704)
      + @jupyterlab/apputils
      + sanitize-html, @types/sanitize-html
      + parse-srcset
      + klona

 -- Gordon Ball <gordon@chronitis.net>  Wed, 15 Sep 2021 19:31:54 +0000
