=== debian/control ===
--- 
+++ 
@@ -3,16 +3,16 @@
 Uploaders: Gordon Ball <gordon@chronitis.net>, Jerome Benoit <calculus@rezozer.net>
 Section: python
 Priority: optional
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/jupyter/notebook
 Vcs-Git: https://salsa.debian.org/python-team/packages/jupyter-notebook.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/jupyter-notebook
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               pkg-js-tools,
                python3-all,
                python3-setuptools,
                python3-argon2,
-               python3-nose <!nocheck>,
                python3-requests <!nocheck>,
                python3-requests-unixsocket <!nocheck>,
                python3-ipython <!nocheck>,
@@ -21,12 +21,13 @@
                python3-tornado (>= 6.1) <!nocheck>,
                python3-nbformat (>= 4.4) <!nocheck>,
                python3-nbconvert (>= 5) <!nocheck>,
+               python3-nest-asyncio (>= 1.5) <!nocheck>,
                python3-ipykernel <!nocheck>,
                python3-prometheus-client <!nocheck>,
                python3-pytest <!nocheck>,
                python3-terminado (>= 0.8.3) <!nocheck>,
                python3-entrypoints <!nocheck>,
-               python3-send2trash (>= 1.5) <!nocheck>,
+               python3-send2trash (>= 1.8) <!nocheck>,
                python3-zmq <!nocheck>,
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
@@ -40,7 +41,7 @@
                libjs-jed (>= 1.1.1),
                libjs-jquery (>= 3.5),
                libjs-jquery-ui (>= 1.12),
-               libjs-marked (>= 0.7),
+               libjs-marked (>= 4.0.9~),
                libjs-mathjax (>= 2.5),
                libjs-moment (>= 2.8.4),
                libjs-requirejs (>= 2.1),
@@ -54,11 +55,18 @@
                node-source-map,
                node-requirejs (>= 2.3),
                node-react (>= 16.13),
-               node-po2json,
+               node-po2json (>= 0.4.5-2~),
                node-fbjs,
                node-loose-envify,
                node-object-assign,
-               uglifyjs,
+               node-htmlparser2,
+               node-deepmerge,
+               node-escape-string-regexp,
+               node-is-plain-object,
+               node-postcss,
+               node-lumino,
+               node-typescript,
+               node-babel-loader,
                webpack,
                pandoc
 Testsuite: autopkgtest-pkg-python
@@ -78,7 +86,7 @@
          libjs-jed (>= 1.1.1),
          libjs-jquery (>= 3.5),
          libjs-jquery-ui (>= 1.12),
-         libjs-marked (>= 0.7),
+         libjs-marked (>= 4.0.9~),
          libjs-mathjax (>= 2.5),
          libjs-moment (>= 2.8.4),
          libjs-requirejs (>= 2.1),
@@ -91,7 +99,6 @@
             python3-ipykernel
 Suggests: python-notebook-doc
 Breaks: jupyter-nbextension-jupyter-js-widgets (<< 6.0.0-6~)
-Built-Using: ${js:Built-Using}
 Description: Jupyter interactive notebook (Python 3)
  The Jupyter Notebook is a web application that allows you to create and
  share documents that contain live code, equations, visualizations, and
