=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,6 @@
 
 JSBASE:=/usr/share/javascript
 COMP:=notebook/static/components
-JSUSING:=libjs-underscore libjs-backbone libjs-jed libjs-jquery libjs-jquery-ui libjs-bootstrap libjs-bootstrap-tour libjs-moment libjs-codemirror libjs-jquery-typeahead libjs-xterm libjs-requirejs libjs-requirejs-text node-react node-fbjs node-object-assign node-loose-envify
-BUILTUSING:=$(foreach jspkg, $(JSUSING), $(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W $(jspkg)))
 
 export PYBUILD_AFTER_INSTALL=rm -rf '{destdir}/{install_dir}/notebook/static/components' ; cp -r notebook/static/components '{destdir}/{install_dir}/notebook/static/' ; rm -rf '{destdir}/{install_dir}/notebook/tests'
 export LC_ALL=C.UTF-8
@@ -16,6 +14,12 @@
 	dh $@ --with=python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_configure:
+	mv debian/missing-sources/@jupyterlab .
+	mv debian/missing-sources/@types .
+	mv debian/missing-sources/klona .
+	mv debian/missing-sources/parse-srcset .
+	mv debian/missing-sources/sanitize-html .
+
 	#backbone
 	mkdir -p $(COMP)/backbone
 	ln -s $(JSBASE)/backbone/backbone.min.js $(COMP)/backbone/backbone-min.js
@@ -59,7 +63,7 @@
 
 	#marked
 	mkdir -p $(COMP)/marked/lib
-	ln -s $(JSBASE)/marked/marked.js $(COMP)/marked/lib/
+	ln -s $(JSBASE)/marked/marked.umd.js $(COMP)/marked/lib/marked.js
 
 	#mathjax
 	ln -s $(JSBASE)/mathjax $(COMP)/MathJax
@@ -97,19 +101,6 @@
 	#font-awesome
 	ln -s /usr/share/fonts-font-awesome $(COMP)/font-awesome
 
-	#google-caja
-	mkdir -p $(COMP)/google-caja
-	cat debian/missing-sources/css-defs.js \
-	    debian/missing-sources/csslexer.js \
-	    debian/missing-sources/uri.js \
-	    debian/missing-sources/sanitizecss.js \
-	    debian/missing-sources/cssparser.js \
-	    debian/missing-sources/html4-defs.js \
-	    debian/missing-sources/html-sanitizer.js \
-	    > debian/missing-sources/html-css-sanitizer-bundle.js
-	uglifyjs -o $(COMP)/google-caja/html-css-sanitizer-minified.js \
-	            debian/missing-sources/html-css-sanitizer-bundle.js
-
     #react
 	mkdir -p $(COMP)/react
 	# copy these files, since there isn't a libjs-react, which means we'd pull in the dependencies
@@ -123,9 +114,20 @@
 	cp debian/missing-sources/create-react-class/dist/create-react-class.min.js $(COMP)/create-react-class/index.js
 
 	dh_auto_configure
+	dh_auto_configure --buildsystem nodejs
 
+	# d/nodejs/component_links doesn't work for components containing @ in the name
+	mkdir @jupyterlab/apputils/node_modules/@types
+	ln -s ../../../sanitize-html @jupyterlab/apputils/node_modules/sanitize-html
+	ln -s ../../../@types/sanitize-html @jupyterlab/apputils/node_modules/@types/sanitize-html
+
+	# for some reason webpack tries to resolve nodejs builtin buffer to a broken relative path
+	# when transforming postcss
+	ln -s node_modules/buffer buffer
 
 override_dh_auto_build:
+	dh_auto_build --buildsystem nodejs
+	webpack
 	dh_auto_build
 ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
 	PYTHONPATH=. http_proxy='127.0.0.9' https_proxy='127.0.0.9' python3 -m sphinx -N -bhtml docs/source/ build/html
@@ -136,12 +138,8 @@
 	$(RM) notebook/static/*/js/main.*.js
 	$(RM) notebook/static/*/js/main.*.js.map
 
-override_dh_gencontrol:
-	echo "js:Built-Using=$(BUILTUSING)" >> debian/python3-notebook.substvars
-	dh_gencontrol
-
 override_dh_installchangelogs:
-	dh_installchangelogs -k docs/source/changelog.rst
+	dh_installchangelogs -k CHANGELOG.md
 
 override_dh_installsystemduser:
 	dh_installsystemduser --no-enable
